library editor;

(*
needs for compile
TEditor, TOleddEditor:
  http://homepage3.nifty.com/~katsuhiko/delphi.html
    http://homepage3.nifty.com/~katsuhiko/vcl/teditor1/hedit252.lzh
    http://homepage3.nifty.com/~katsuhiko/vcl/toleddeditor/holeeditor140.lzh

TEditorEx:
  http://homepage2.nifty.com/Km/download.htm
    http://homepage2.nifty.com/Km/download/EEx281.lzh
      Requires: TEditor, TOleEditor, TAWKStr

TAWKStr:
  http://homepage1.nifty.com/bmonkey/delphi/delphi.html
    http://homepage1.nifty.com/bmonkey/delphi/rexp017.lzh

RubyFountain:
  http://homepage2.nifty.com/sakazuki/delphicompo.html
  http://homepage2.nifty.com/sakazuki/rdesource.html
    http://prdownloads.sourceforge.net/rubyde/rde0990src.zip?download
*)

uses
{$IFDEF WIN32} FastShareMem, {$ENDIF}
  Pythia, EditorHandle, uEditor, uEditorEx,
  uNotifyPersistent,
  uEditorStrings, uEditorViewInfo, uEditorMark, uEditorCursor,
  uEditorCaret, uEditorMargin, uEditorLeftbar, uEditorRuler,
  uEditorToken, uEditorWrapOption,
  uFountain, uEditorFountain;

{$E so}

procedure Init_editor; cdecl;
begin
  PhiStart;
  Init_Editor_module;
  Init_EditorEx_module;
end;

exports
  Init_editor;

exports
  ap_cNotifyPersistent;

exports
  ap_cEditor,
  EditorGetHandle,
  ap_iEditor;

exports
  ap_cEditorMark,
  ap_iEditorMark,
  ap_iEditorMarks;
end.
